## visad.java2d
Class AVControlJ2D

    java.lang.Object
      visad.Control
          visad.java2d.AVControlJ2D

All Implemented Interfaces:
  AVControl, Cloneable, Serializable

Direct Known Subclasses:
  AnimationControlJ2D, ValueControlJ2D

public abstract class AVControlJ2D
extends Control
implements AVControl

AVControlJ2D is the VisAD abstract superclass for AnimationControlJ2D and ValueControlJ2D.

See Also:
  Serialized Form

Field Summary
`(package private) Vector` `switches`

Fields inherited from class visad.Control
``

Constructor Summary
`AVControlJ2D(DisplayImplJ2D d)`

Method Summary
`(package private) void` `addPair(VisADSwitch sw, Set se, DataRenderer re)`
`void` `clearSwitches(DataRenderer re)` clear all 'pairs' in switches that involve re
`boolean` `equals(Object o)` Indicates whether or not this instance equals an Object
`(package private) abstract void` `init()`
`void` `selectSwitches(double value, Set animation_set)`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getInstanceNumber, getSaveString, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setSaveString, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, syncControl, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.AVControl
`addControlListener, getSaveString, removeControlListener, setSaveString`

Field Detail

### switches

    transient Vector switches

Constructor Detail

### AVControlJ2D

    public AVControlJ2D(DisplayImplJ2D d)

Method Detail

### addPair

    void addPair(VisADSwitch sw,
                 Set se,
                 DataRenderer re)

### init

    abstract void init()
                throws VisADException

  Throws:
    `VisADException`

### selectSwitches

    public void selectSwitches(double value,
                               Set animation_set)
                        throws VisADException

  Throws:
    `VisADException`

### clearSwitches

    public void clearSwitches(DataRenderer re)

  clear all 'pairs' in switches that involve re

  Specified by:
    `clearSwitches` in interface `AVControl`
  Parameters:
    `re` - - DataRenderer used to select SwitchSet objects

### equals

    public boolean equals(Object o)

  Description copied from class: `Control`
  Indicates whether or not this instance equals an Object

  Overrides:
    `equals` in class `Control`
  Parameters:
    `o` - an Object
  Returns:
    true if and only if this instance is equal to o